﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace ASPItalia.WebSiteGallery.Domain
{
   public class AlbumLoadedEventArgs : EventArgs
   {
      public IEnumerable<Album> Result { get; private set; }

      public AlbumLoadedEventArgs(IEnumerable<Album> result)
      {
         Result = result;
      }
   }

   public class PictureLoadedEventArgs : EventArgs
   {
      public IEnumerable<Picture> Result { get; private set; }

      public PictureLoadedEventArgs(IEnumerable<Picture> result)
      {
         Result = result;
      }
   }

   public class GalleryLoadingErrorEventArgs : EventArgs
   {
      public Exception Exception { get; private set; }

      public GalleryLoadingErrorEventArgs(Exception ex)
      {
         Exception = ex;
      }
   }
}
