﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ASPItalia.WebSiteGallery.Domain
{
  public interface IGalleryModel
  {
    void GetAlbums();
    event EventHandler<AlbumLoadedEventArgs> AlbumLoadCompleted;
    event EventHandler<DownloadProgressChangedEventArgs> GalleryLoadProgressChanged;
    event EventHandler<GalleryLoadingErrorEventArgs> GalleryLoadingError;

    void GetPicturesOfAlbum(object albumId);
    event EventHandler<PictureLoadedEventArgs> PictureLoadCompleted;
  }
}
