﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace ASPItalia.WebSiteGallery.Silverlight
{
  public class ImageFXPathConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      string _value = value as string;
      if (_value != null)
      {
        _value = String.Format("{0}&H={1}", _value, parameter);
      }
      return _value;
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      throw new NotImplementedException();
    }
  }

  public class TitleConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      int _lenght = 0;
      string _strLenght = parameter as string;
      if (_strLenght != null)
        int.TryParse(_strLenght, out _lenght);

      string _value = value as string;
      if (_value != null && _lenght > 0 && _value.Length >= _lenght)
      {
        _value = _value.Substring(0, _lenght);
        _value = String.Format("{0}..", _value);
      }
      return _value;
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      //implementazione specifica per il binding two-way
      throw new NotImplementedException();
    }
  }
}
