﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ASPItalia.WebSiteGallery.Data;

namespace ASPItalia.WebSiteGallery.Web
{
  public class PicturesOfAlbum : IHttpHandler
  {
    string albumIds = string.Empty;
    int albumId;

    public void ProcessRequest(HttpContext context)
    {
      context.Response.ContentType = "text/xml";

      if (!String.IsNullOrEmpty(context.Request.QueryString["albumId"]))
      {
        albumIds = context.Request.QueryString["albumId"];

        Gallery service = new Gallery();
        string _pictures = service.GetXMLPicturesOfAlbum(albumIds);
        context.Response.Write(_pictures);
      }
    }

    public bool IsReusable
    {
      get
      {
        return false;
      }
    }
  }
}
